import Vue from 'vue'
const apisMixins = {
    methods: {
        apiUserClubCheckSku(params){
            this.ProductService.ShoppingCheckSku(params)
			    .then(response => {
			        setTimeout(() => {
			           this.initGetCartGoodsList()
			        }, 1500)
			    })
			    .catch(error => {
			        this.$util.msg(error.msg, 2000)
			    })
        },
        apiWeChatCouponRecord(params,coupon){
            //调用购买优惠券
            this.PayService.WeChatCouponRecord(params)
                .then(response => {
                    this.MiniWxPayFor(coupon, response.data.couponRecordId)
                })
                .catch(error => {
                    if (error.code == -1) {
                        //个人机构不能购买
                        this.contentModalText = '该优惠券仅限医美机构购买，请升级为医美机构后再次购买。'
                        this.modal = true
                    } else if (error.code == -2) {
                        //会员机构不是医美机构不能购买
                        this.$util.msg('该优惠券仅限医美机构购买', 2000)
                    }
                })
			
        },
        async MiniWxPayFor(coupon, couponRecordId) {
            // 微信支付
		    const wechatcode = await authorize.getCode('weixin')
		    const params = {
		        userId: this.userId,
		        couponId: coupon.couponId,
		        couponRecordId: couponRecordId,
		        payType: 'XCX',
		        code: wechatcode,
		        source: 1 //支付来源 1 小程序 2 WWW
		    }
		    this.weChatMiniCouponWxPay(
		        params,
		        'Um_Event_cartCouponPay',
		        '机构购物车',
		        '线上支付优惠券',
		        coupon.couponId,
		        this.userId
		    )
        },
        apiWeChatPayCouponBeans(params){
            //调用采美豆抵扣优惠券
            this.PayService.WeChatPayCouponBeans(params)
                .then(response => {
                    this.$util.msg('抵扣成功', 1500)
                    setTimeout(() => {
                        this.currentTab = 1
                        this.couponParam.status = 2
                        this.queryPopupCoupons()
                    }, 1500)
                })
                .catch(error => {
                    this.$util.msg(error.msg, 2000)
                })
        },
        apiReceiveCoupon(params){
            //领取优惠券
            this.ProductService.ReceiveCoupon(params)
                .then(response => {
                    this.$util.msg('领取成功', 1500, true, 'success')
                    setTimeout(() => {
                        this.currentTab = 1
                        this.couponParam.status = 2
                        this.queryPopupCoupons()
                    }, 1500)
                })
                .catch(error => {
                    this.$util.msg(error.msg, 2000)
                })
        },
        apiShoppingCartGetCoupon(params){
            // 获取弹窗优惠券列表
            this.ProductService.ShoppingCartGetCoupon(params)
                .then(response => {
                    let data = response.data
                    this.navbar[0].num = data.notCouponNum
                    this.navbar[1].num = data.couponNum
                    if (data.couponList && data.couponList.length > 0) {
                        this.productCouponList = data.couponList
                        this.isCouponEmpty = false
                    } else {
                        this.isCouponEmpty = true
                    }
                })
                .catch(error => {
                    console.log('获取优惠券列表失败')
                })
        },
        apiShoppingCartUpdate(params) {
            //更新购物车商品
            this.ProductService.ShoppingCartUpdate(params)
                .then(response => {
                    this.isshowDelbtn = false
                })
                .catch(error => {
                    this.$util.msg(error.msg, 2000)
                })
        },
        shoppingCartDelete(params) { 
            // 删除购物车商品
            this.ProductService.ShoppingCartDelete(params)
                .then(response => {
                    this.$util.msg('删除成功', 2000)
                    setTimeout(() => {
                        this.isshowDelbtn = false
                        this.initGetCartGoodsList()
                    }, 2000)
                })
                .catch(error => {
                    this.$util.msg(error.msg, 2000)
                })
        }
    }
}

export default apisMixins
